package com.ruoyi.system.service.video;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.video.VideoDeviceInfo;

import java.util.List;

/**
 * <p>
 * 监控设备表 服务类
 * </p>
 *
 * @author lb
 * @since 2024-07-31
 */
public interface VideoDeviceInfoService extends IService<VideoDeviceInfo> {

    public List<VideoDeviceInfo> selectVideoDeviceInfoList(VideoDeviceInfo videoDeviceInfo);

    public VideoDeviceInfo selectVideoDeviceInfoById(Long id);

    public int InsertVideoDeviceInfo(VideoDeviceInfo  videoDeviceInfo);

    public int UpdateVideoDeviceInfo(VideoDeviceInfo  videoDeviceInfo);

    public int DeleteVideoDeviceInfoByIds(Long[] ids);
}
